openni_wrapper::ShiftToDepthConverter Class Reference

This class provides conversion of the openni 11-bit shift data to depth;. More...

`#include <pcl/io/openni_camera/openni_shift_to_depth_conversion.h>`

## Public Member Functions

| ShiftToDepthConverter ()
| Constructor. More...
virtual | ~ShiftToDepthConverter ()
| Destructor. More...
void | generateLookupTable ()
| This method generates a look-up table to convert openni shift values to depth. More...
float | shiftToDepth (uint16_t shift_val)
| Generate a look-up table for converting openni shift values to depth. More...
bool | isInitialized () const

## Protected Attributes

std::vector< float > | lookupTable_
bool | init_

## Detailed Description

This class provides conversion of the openni 11-bit shift data to depth;.

Definition at line 52 of file openni_shift_to_depth_conversion.h.

## Constructor & Destructor Documentation

## ShiftToDepthConverter()

openni_wrapper::ShiftToDepthConverter::ShiftToDepthConverter | ( |  | ) |

inline

Constructor.

Definition at line 56 of file openni_shift_to_depth_conversion.h.

## ~ShiftToDepthConverter()

virtual openni_wrapper::ShiftToDepthConverter::~ShiftToDepthConverter | ( |  | ) |

inline virtual

Destructor.

Definition at line 59 of file openni_shift_to_depth_conversion.h.

## Member Function Documentation

## generateLookupTable()

void openni_wrapper::ShiftToDepthConverter::generateLookupTable | ( |  | ) |

inline

This method generates a look-up table to convert openni shift values to depth.

Definition at line 64 of file openni_shift_to_depth_conversion.h.

## isInitialized()

bool openni_wrapper::ShiftToDepthConverter::isInitialized | ( | void |  | ) | const

inline

Definition at line 113 of file openni_shift_to_depth_conversion.h.

## shiftToDepth()

float openni_wrapper::ShiftToDepthConverter::shiftToDepth | ( | uint16_t | shift_val | ) |

inline

Generate a look-up table for converting openni shift values to depth.

Definition at line 98 of file openni_shift_to_depth_conversion.h.

## Member Data Documentation

## init_

bool openni_wrapper::ShiftToDepthConverter::init_

protected

Definition at line 120 of file openni_shift_to_depth_conversion.h.

## lookupTable_

std::vector<float> openni_wrapper::ShiftToDepthConverter::lookupTable_

protected

Definition at line 119 of file openni_shift_to_depth_conversion.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/io/openni_camera/openni_shift_to_depth_conversion.h